import socket
import time

# Crear un socket TCP
server_socket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# Vincular el socket a la dirección y puerto
server_socket.bind(('localhost', 8989))

# Poner el servidor a la escucha
server_socket.listen(1)

print("Esperando conexión...")

# Aceptar la conexión del cliente
client_socket, addr = server_socket.accept()
print(f"Conectado a {addr}")

# Enviar datos periódicamente al cliente
try:
    while True:
        # Datos de ejemplo para enviar
        messages = [
            "hello spark streaming",
            "spark streaming is powerful",
            "streaming with python",
            "continuous processing is useful",
            "real-time data processing"
        ]
        
        # Enviar cada mensaje con un retraso
        for message in messages:
            client_socket.sendall((message + "\n").encode('utf-8'))
            print(f"Enviado: {message}")
            time.sleep(1)  # Esperar 1 segundos antes de enviar el siguiente mensaje
finally:
    # Cerrar la conexión
    client_socket.close()
    server_socket.close()

