from pyspark import SparkContext
from pyspark.streaming import StreamingContext

# Crear un SparkContext y un StreamingContext con un intervalo de 1 segundo
sc = SparkContext("local[2]", "NetworkWordCount")
ssc = StreamingContext(sc, 1)

# Crear un DStream que conecte al puerto 9999 de localhost
lines = ssc.socketTextStream("localhost", 9995)

# Procesamiento: separar las líneas en palabras y contar
words = lines.flatMap(lambda line: line.split(" "))
word_counts = words.map(lambda word: (word, 1)).reduceByKey(lambda a, b: a + b)

# Imprimir los resultados
word_counts.pprint()

# Iniciar el cómputo
ssc.start()

# Esperar la finalización
ssc.awaitTermination()


