from pyspark import SparkContext
from pyspark.streaming import StreamingContext

# Crear un SparkContext y un StreamingContext
sc = SparkContext(appName="HDFSStreaming")
ssc = StreamingContext(sc, 10)  # Intervalo de 10 segundos

# Configurar el directorio HDFS para monitorear
hdfsDirectory = "hdfs://localhost:9000/user/hdfs/streaming"

# Crear un DStream que monitorea el directorio HDFS
lines = ssc.textFileStream(hdfsDirectory)

# Procesamiento de los datos: Contar las palabras
words = lines.flatMap(lambda line: line.split(" "))
word_counts = words.map(lambda word: (word, 1)).reduceByKey(lambda a, b: a + b)

# Imprimir los resultados en la consola
word_counts.pprint()

# Iniciar el StreamingContext
ssc.start()
ssc.awaitTermination()

