import mlflow
import numpy as np
import mlflow.sklearn
from sklearn.datasets import load_iris
from sklearn.model_selection import train_test_split

# Cargo los datos
data = load_iris()

# Hago split entre train y test
x_train, x_test, y_train, y_test = train_test_split(
    data['data'],
    data['target'],
    test_size= 0.2,
    random_state= 1234
    )
  
# Load model as a PyFuncModel.
model_name = "iris_model"
model_version = 1

# Setup de MLflow
mlflow.set_tracking_uri('http://127.0.0.1:5000')
  
model = mlflow.pyfunc.load_model(
    model_uri=f"models:/{model_name}/{model_version}"
)

# Predict on a Pandas DataFrame.
import pandas as pd
print(model.predict(pd.DataFrame(x_test)))

