import pandas as pd

def csvToJson():
	df=pd.read_csv('/opt/airflow-2.5.0/data/datos.csv')
	for i,r in df.iterrows():
		print(r['nombre'])
	df.to_json('/opt/airflow-2.5.0/data/datos-airflow.json', orient='records')

import datetime as dt
from datetime import timedelta

default_args = {
	'owner': 'owner',
	'start_date': dt.datetime(2024, 1, 1),
	'retries': 1,
	'retry_delay': dt.timedelta(minutes=5),
}

from airflow import DAG
from airflow.operators.bash_operator import BashOperator
from airflow.operators.python_operator import PythonOperator

with DAG('HolaAirflow-CSV',
     	default_args=default_args,
     	schedule_interval=timedelta(minutes=5),  	# '0 * * * *',
     	) as dag:

	imprime_iniciando = BashOperator(task_id='iniciando',
                           	bash_command='echo "Leyendo el csv..."')

	csvJson = PythonOperator(task_id='csv2json', python_callable=csvToJson)

imprime_iniciando >> csvJson
