default_args = {
    'retries': 3,
}

with DAG('my_dag', start_date=datetime(2023, 1 , 1), default_args=default_args,
         description='A simple DAG', tags=['data_science'],
         schedule='@daily', catchup=False):
    
    task_a = PythonOperator(task_id='task_a', python_callable=print_a)
    task_b = PythonOperator(task_id='task_b', python_callable=print_b)
    task_c = PythonOperator(task_id='task_c', python_callable=print_c)
    task_d = PythonOperator(task_id='task_d', python_callable=print_d)
    task_e = PythonOperator(task_id='task_e', python_callable=print_e)

    chain(task_a, [task_b, task_c], [task_d, task_e])
