from pyspark import SparkContext
from pyspark.sql import SparkSession

def main():
    sc = SparkContext()
    spark = SparkSession(sc)
    
    # Leer el archivo de entrada
    input_path = "gs://your-bucket/input/input.txt"
    text_file = sc.textFile(input_path)
    
    # Contar las palabras
    counts = text_file.flatMap(lambda line: line.split()) \
                      .map(lambda word: (word, 1)) \
                      .reduceByKey(lambda a, b: a + b)
    
    # Guardar los resultados
    output_path = "gs://your-bucket/output/"
    counts.saveAsTextFile(output_path)

if __name__ == "__main__":
    main()
